Subject: Re: bug#50067: Context menus

From: Eli Zaretskii <[email-masked]>
Date: Thu, 26 Aug 2021 16:01:00 +0300

> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked], [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Tue, 24 Aug 2021 20:59:40 +0300
> 
> >> An option to display the first match right away will be most
> >> appreciated, thanks.
> > Like compilation-auto-jump-to-first-error.
> 
> So we even have a precedent, very good.
> 
> Could you both check out the attached patch?
> 
> Together with (setq xref-auto-jump-to-first-definition t)

Thanks, this looks very handy, I will definitely use it.

> Questions for feedback:
> 
> 1. Does the new behavior work okay window management-wise (it does 
> occupy +1 window, after all)?

Not sure I understand the question: we pop up an additional window
when there are more than one candidate even without this option, so
why do you say "+1 window"?  Maybe you had some recipe in mind that I
didn't try?

> 2. Should this setting also extend to other commands like 
> xref-find-references?

Not necessarily.  Perhaps xref-auto-jump-to-first-definition should be
tri-state, to allow users to request the same with
xref-find-references as well?